function z = anand( x, y);

a = fzero('x+exp(-x)-1-2*log(2)',2);
b = exp(-a)-1;

x2   = (x+eps).^2;
y2   = (y+eps).^2;
x2y2 = x2 + y2;
bxy  = b * x .* y;

z = x .* ( 1 - exp( -(a * y2 + bxy) ./ x2y2 ) ) ...
    + y .* ( 1 - exp( -(a * x2 + bxy) ./ x2y2 ) );

