function [vxfrs, vyfrs] = freespace

global fid dist ns

index = find(dist(:,1)==max(dist(:,1)));

kx     = 0.5;
ky     = 0.5;

ang = dist(index(1),2);
while (ang < -pi)
  ang = ang + 2*pi;
end
while (ang > pi)
  ang = ang - 2*pi;
end

vxfrs = kx*2*atan(dist(index(1),1))/pi;
vyfrs = ky*ang;



