function [] = plotRobot(x,y,psi,r,drw)
% plotRobot(x,y,psi,r)
%
% x, y, psi : Roboter Position
% r : Radius des Roboters

hold on

s = 1;

M=[   -r  -0.1*s;
      -r   0.1*s;
      -r       0;
       r       0;
       r  -0.1*s;
       r   0.1*s;
       0       0;
       0       s;
 -0.06*s   0.6*s;
       0       s;
       0       s;
  0.06*s   0.6*s];

cp = cos(psi-pi/2); sp = sin(psi-pi/2);
D = [ cp -sp; sp  cp ];

M = (D * M')';

for j = 1:2:11
  %plot( M(j:j+1,1)+x, M(j:j+1,2)+y, 'b-');
  if 1 == drw
    animatedline( M(j:j+1,1)+x, M(j:j+1,2)+y,...
        'Marker', '.', 'Color', 'blue' );
  else
    animatedline( M(j:j+1,1)+x, M(j:j+1,2)+y,...
        'Marker', '.', 'Color', 'white' );
  end    
end
drawnow;

