function [vxpos, vypos] = posloop(x, y, phi, xz, yz, phiz);

krho   =  1;
kalpha =  3;
kphi   =  1;

xFR = [   x;  y;  phi ];
xFG = [  xz; yz; phiz ];
xRG = turn3D(-xFR(3),xFG-xFR);

alpha = atan2(xRG(2),xRG(1));
rho = sqrt(xRG(1)*xRG(1)+xRG(2)*xRG(2));
phi = -xRG(3);

vxpos = krho*rho;
vypos = kalpha*alpha + kphi*phi;


