function [vxrep, vyrep] = repulsion

global fid dist

Fgrund = 1.0;
kx     = 1.0;
ky     = 1.0;

Frep = [0 0];
Fnew = [0 0];
for j = 1:size(dist,1),
   gg = Fgrund/dist(j,1);
   fr = gg*gg;
   Fnew(1) = fr*cos(dist(j,2));
   Fnew(2) = fr*sin(dist(j,2));
   Frep = Frep - Fnew;
end

Frep(1) = kx*Frep(1);
Frep(2) = ky*Frep(2);

vxrep = Frep(1);
vyrep = Frep(2);

% Halbwertsbreite bei Entfernung vom Ziel
% sig_vy = 0.001/(sqrt(2*log(2)));
% Halbwertsbreite bei Winkelabstand vom Ziel
% sig_vx = 90*pi/(180*sqrt(2*log(2)));

% alpha = atan2(Frep(2),Frep(1));
% vyrep = alpha * ( 1 - exp(-(Frep(1)^2)/(2*sig_vy^2)) );
% vxrep = abs(Frep(1)) * exp(-(alpha^2)/(2*sig_vx^2));

