function d = getDistSensor(koerper,x,y,phiv,radius)

% Bestimme die Transformationsmatrix
cw = cos(phiv); sw = sin(phiv);
T = [cw sw; -sw cw];% Drehmatrix um phi
[m, n] = size(koerper);

% x,y ist neuer Nullpunkt
k = zeros(m,n);
for j = 1:m,
   k(j,:) = koerper(j,:) - [x y];
end

% Punkte des Koerpers verdrehen
a = zeros(m,2);
for j = 1:m,
   a(j,:) = (T*k(j,:)')';
end

% Bestimmung der Punkte, dessen Nachbarpunkte auf der anderen
% Seite der x-Achse liegen
% [m,n] = size(a); 
aa = [a,zeros(m,1)];
for j = 1:(m-1)
   if (aa(j,2)>0 & aa(j+1,2)<0) | (aa(j,2)<0 & aa(j+1,2)>0),
      aa(j,3) = 1;
   end
end

% Von den ausgewaehlten Punktenpaaren ist die minimale Distanz
% zu bestimmen
d = inf;
dd = inf;
flag = 0;
for j = 1:(m-1),
   if aa(j,3)==1,
      dd = (a(j,1)*a(j+1,2) - a(j+1,1)*a(j,2))/(a(j+1,2) - a(j,2));
      %anders ausgedrueckt d = (x1*y2 - x2*y1)/(y2 - y1);
      if dd<d & dd>=0,
         d = dd;
         flag = j;
      end
   end
end

d = d - radius;

